MockCharFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.MockCharFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class MockCharFilter

    java.lang.Object
      java.io.Reader
          org.apache.lucene.analysis.CharStream
              org.apache.lucene.analysis.MockCharFilter

All Implemented Interfaces:
  Closeable, Readable

    public class MockCharFilter

extends CharStream

the purpose of this charfilter is to send offsets out of bounds if the analyzer doesn't use correctOffset or does incorrect offset math.

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`MockCharFilter(Reader in)`
`MockCharFilter(Reader in, int remainder)`

Method Summary
`protected void` | `addOffCorrectMap(int off, int cumulativeDiff)`
`void` | `close()`
`int` | `correctOffset(int currentOff)` Called by CharFilter(s) and Tokenizer to correct token offset.
`int` | `read()`
`int` | `read(char[] cbuf, int off, int len)`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockCharFilter

    public MockCharFilter(Reader in,
                          int remainder)

### MockCharFilter

    public MockCharFilter(Reader in)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Reader`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`

### correctOffset

    public int correctOffset(int currentOff)

  Description copied from class: `CharStream`
  Called by CharFilter(s) and Tokenizer to correct token offset.

  Specified by:
    `correctOffset` in class `CharStream`
  Parameters:
    `currentOff` - offset as seen in the output
  Returns:
    corrected offset based on the input

### addOffCorrectMap

    protected void addOffCorrectMap(int off,
                                    int cumulativeDiff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD